Subject: Re: Latest paulus.git PCI broken on mpc8540?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 16 Nov 2007 16:35:33 +1100

On Thu, 2007-11-15 at 22:37 -0600, Kumar Gala wrote:
> > PCI: Probing PCI hardware
> > PCI: Cannot allocate resource region 0 of device 0000:00:12.0
> > PCI: Cannot allocate resource region 1 of device 0000:00:12.0
> > PCI: Cannot allocate resource region 2 of device 0000:00:12.0
> > PCI: Cannot allocate resource region 3 of device 0000:00:12.0
> > PCI: Cannot allocate resource region 4 of device 0000:00:12.0
> > PCI: Cannot allocate resource region 0 of device 0000:00:14.0
> > PCI: Cannot allocate resource region 2 of device 0000:00:14.0
> 
> this isn't really an error.  Its more of a warning, the kernel will  
> try and allocate these later and I'm guessing based on what you are  
> seeing it succeeded.
> 
> Benh, can we possibly change these messages in pci_32.c?

Heh, well, I've been working on 44x PCI lately and got annoyed by the
exact same messages, though I'm still pondering what would be a better
replacement.

Ben